from storage import StorableObject
import time

from anonylink import AnonymityLink

class Evolution:
    who = None
    status = None
    time = None
    comment = None


class FormData(StorableObject):
    _names = 'XXX'

    user_id = None
    receipt_time = None
    status = None
    evolution = None
    data = None

    def get_formdef(self):
        from formdef import FormDef
        type, id = self._names.split('-', 1)
        return FormDef.get_by_urlname(id)
    formdef = property(get_formdef)

    def get_consultationdef(self):
        type, id = self._names.split('-', 1)
        return ConsultationDef.get_by_urlname(id)
    consultationdef = property(get_consultationdef)

